package cn.zhangdeman;

// 记录的各种字段枚举值
public class RecordField {
    public static final String TRACE_ID = "trace_id"; // trace_id
    public static final String REQUEST_ID = "request_id"; // request_id
    public static final String START_TIMESTAMP = "start_timestamp"; // 开始请求时间
    public static final String FINISH_TIMESTAMP = "finish_timestamp"; // 完成请求时间
    public static final String SERVER_IP = "server_ip"; // 服务器IP
    public static final String SERVER_HOSTNAME = "server_hostname"; // 服务器名称
    public static final String COST = "cost"; // 请求耗时
    public static final String CONTEXT_DATA = "context_data"; // 本条日志的上下文信息
    public static final String RESPONSE_DATA = "response_data"; // 接口响应数据
    // 请求信息
    public static final String REQUEST_UA = "request_user_agent"; // 请求ua
    public static final String REQUEST_CLIENT_IP = "request_client"; // 请求客户端
}
